commit:     3eab51ca121903bb53d557b5f9f05c6258dc2b21
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 19 13:51:33 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Mar 19 13:51:33 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3eab51ca

app-crypt/libu2f-host: Version bump to 1.1.1

Package-Manager: portage-2.2.28

 app-crypt/libu2f-host/Manifest                 |  1 +
 app-crypt/libu2f-host/libu2f-host-1.1.1.ebuild | 64 ++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/app-crypt/libu2f-host/Manifest b/app-crypt/libu2f-host/Manifest
index ef3c5ce..e8a1ec5 100644
--- a/app-crypt/libu2f-host/Manifest
+++ b/app-crypt/libu2f-host/Manifest
@@ -1,2 +1,3 @@
 DIST libu2f-host-1.0.0.tar.xz 454376 SHA256 
18c56b9b5cfea2566925bba45b25a4e20b3ef8696905d8f2a06116316e164374 SHA512 
ef953ffd8179e5ed4bcd1e02ccc82e671a7979b03a61ac73098be6509ab9d6badd6bb4e3e805de4ddbddbae3e8be71b091344f4230657464f6ba4ac3af171387
 WHIRLPOOL 
cc76b778bcf20ef696900dd0ea65c0925052360a22e505a34ecb8738289d7bbaa88b31f2b25b91b6a1a22a240d01784bc6ef1cb9774c818fa0570328e9f13183
 DIST libu2f-host-1.1.0.tar.xz 455424 SHA256 
441bb832ee42acf3a5e5a229444c610218da381eb7daaf2aa750c004dc756d86 SHA512 
3861ea748ff6ae0bae756182c6c4bd9a25dafc6e28eec3d6aad0eb700dcddc56ba61ed0c6a60395b8a296764c83b3fadb6954f9001cfb880e93758aaeecf34df
 WHIRLPOOL 
b6a91afd99a70db8c78a2a72950f210bbcbea0322780b768611aa528ad0159647bdc7446e1dffd91f8d9b6bcbd8105b8b38c9eb5d9eb2db9ef7d193c97096f3e
+DIST libu2f-host-1.1.1.tar.xz 455652 SHA256 
e14d06196aba1fcf80498929e6460370e58b96e8298c57e4660030c045000e3c SHA512 
1f6d26d47cabd44391a780f03d88b6ab9ed996bab26e2605f1942bfff2203aa9a8e90fa80c010ccf2e575dbfca3bd03d3322381343cdf6def3829bbe45db8693
 WHIRLPOOL 
46fc4e087e2679bf8c07922fbd31200d702c5c88838812618c763615f24f7c0ecdc71ed4bd436fde1a9526eea23820bd6f2448040ce711f7fd87ca5c96281efd

diff --git a/app-crypt/libu2f-host/libu2f-host-1.1.1.ebuild 
b/app-crypt/libu2f-host/libu2f-host-1.1.1.ebuild
new file mode 100644
index 0000000..f3567fa
--- /dev/null
+++ b/app-crypt/libu2f-host/libu2f-host-1.1.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools-utils linux-info udev user
+
+DESCRIPTION="Yubico Universal 2nd Factor (U2F) Host C Library"
+HOMEPAGE="https://developers.yubico.com/libu2f-host/";
+SRC_URI="https://developers.yubico.com/${PN}/Releases/${P}.tar.xz";
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="kernel_linux static-libs systemd"
+
+RDEPEND="
+       dev-libs/hidapi
+       dev-libs/json-c"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+RDEPEND="${RDEPEND}
+       systemd? ( sys-apps/systemd[acl] )"
+
+CONFIG_CHECK="~HIDRAW"
+
+pkg_setup() {
+       # The U2F device node will be owned by group 'plugdev'
+       # in non-systemd configurations
+       if ! use systemd; then
+               enewgroup plugdev
+       fi
+}
+
+src_prepare() {
+       autotools-utils_src_prepare
+
+       sed -e 's:TAG+="uaccess":MODE="0664", GROUP="plugdev":g' \
+               70-u2f.rules > 70-u2f-udev.rules || die
+}
+
+src_configure() {
+       autotools-utils_src_configure
+}
+
+src_install() {
+       autotools-utils_src_install
+
+       if use kernel_linux; then
+               if use systemd; then
+                       udev_dorules 70-u2f.rules
+               else
+                       udev_newrules 70-u2f-udev.rules 70-u2f.rules
+               fi
+       fi
+}
+
+pkg_postinst() {
+       if ! use systemd; then
+               elog "Users must be a member of the 'plugdev' group"
+               elog "to be able to access U2F devices"
+       fi
+}

Reply via email to